<div id="super-container">
  <div class="dialog-container" [class.translated]="translated">

    <mat-card class="login">
      <form [formGroup]="loginGroup">
        <h2>Connexion</h2>
        <span></span>
        <div class="fields">
          <mat-form-field class="email">
            <mat-label class="label">email</mat-label>
            <input matInput type="text" formControlName="email" />
          </mat-form-field>
          <mat-form-field class="password">
            <mat-label class="label">mot de passe</mat-label>
            <input matInput type="password" formControlName="password" />
          </mat-form-field>
          <div class="error">
            <mat-error *ngIf="loginFormError">{{ loginFormError }}</mat-error>
          </div>
        </div>
        <button class="effect-button" type="submit" (click)="login()" [disabled]="loginGroup.invalid">
          <div class="button-text">Se connecter</div>
        </button>
        <br />
      </form>
    </mat-card>

    <mat-card class="register">
      <form [formGroup]="registerGroup">
        <h2>Inscription</h2>
        <span></span>
        <div class="fields">
          <mat-form-field class="username">
            <mat-label class="label">nom d'utilisateur</mat-label>
            <input matInput type="text" formControlName="username" />
          </mat-form-field>
          <mat-form-field class="email">
            <mat-label class="label">email</mat-label>
            <input matInput type="text" formControlName="email" />
          </mat-form-field>
          <mat-form-field class="address">
            <mat-label class="label">addresse</mat-label>
            <input matInput type="text" formControlName="address" />
          </mat-form-field>
          <mat-form-field class="phoneNumber">
            <mat-label class="label">Numéro de téléphone</mat-label>
            <input matInput type="text" formControlName="phoneNumber" />
          </mat-form-field>
          <mat-form-field class="password">
            <mat-label class="label">mot de passe</mat-label>
            <input matInput type="password" formControlName="password" />
          </mat-form-field>
          <mat-form-field class="password">
            <mat-label class="label">confirmer le mot de passe</mat-label>
            <input matInput type="password" formControlName="confirmPassword" />
          </mat-form-field>
          <div class="error">
            <mat-error *ngIf="registerFormError">{{ registerFormError }}</mat-error>
          </div>
        </div>
        <button class="effect-button" (click)="register()" [disabled]="registerGroup.invalid">
          <div class="button-text">S'inscrire</div>
        </button>
      </form>
    </mat-card>


  </div>
  <button mat-mini-fab (click)="translated = !translated" [class.translated]="translated">
    <mat-icon>chevron_right</mat-icon>
  </button>
</div>